#
# Table structure for table `phpbb_usenet_article`
#

DROP TABLE IF EXISTS `phpbb_usenet_article`;
CREATE TABLE `phpbb_usenet_article` (
  `newsgroup` varchar(64) NOT NULL default '',
  `forum` varchar(128) NOT NULL default '0',
  `msgid` varchar(128) NOT NULL default '',
  `dtm` int(11) NOT NULL default '0',
  `subject` varchar(255) default NULL,
  `poster` varchar(128) default NULL,
  `email` varchar(128) default NULL,
  `nntpposter` varchar(255) default NULL,
  `refs` text,
  `body` text,
  `msgnum` bigint(20) NOT NULL default '0',
  `ord_key` tinyint(3) unsigned NOT NULL default '0',
  `threadid` int(10) unsigned NOT NULL default '0',
  `postid` int(10) unsigned NOT NULL default '0',
  `manual` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`msgid`,`forum`),
  KEY `forum` (`forum`,`dtm`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `phpbb_usenet_article_loader`
#

DROP TABLE IF EXISTS `phpbb_usenet_article_loader`;
CREATE TABLE `phpbb_usenet_article_loader` (
  `newsgroup` varchar(64) NOT NULL default '',
  `forum` varchar(128) NOT NULL default '',
  `msgid` varchar(128) NOT NULL default '',
  `dtm` int(11) default NULL,
  `subject` varchar(255) default NULL,
  `poster` varchar(128) default NULL,
  `email` varchar(128) default NULL,
  `nntpposter` varchar(128) default NULL,
  `refs` text,
  `body` text NOT NULL,
  `msgnum` int(11) NOT NULL default '0',
  `ORD_key` tinyint(3) unsigned NOT NULL default '0',
  `threadid` int(10) unsigned NOT NULL default '0',
  `postid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`msgid`),
  KEY `ord_key` (`ORD_key`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `phpbb_usenet_outgoing`
#

DROP TABLE IF EXISTS `phpbb_usenet_outgoing`;
CREATE TABLE `phpbb_usenet_outgoing` (
  `poster` varchar(128) default NULL,
  `email` varchar(64) default NULL,
  `signature` text,
  `newsgroup` varchar(128) default NULL,
  `subject` varchar(255) default NULL,
  `refs` text,
  `body` text,
  `threadid` int(10) unsigned NOT NULL default '0',
  `postid` int(10) unsigned NOT NULL default '0',
  `inreplyto` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`postid`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `phpbb_usenet_outgoing_log`
#

DROP TABLE IF EXISTS `phpbb_usenet_outgoing_log`;
CREATE TABLE `phpbb_usenet_outgoing_log` (
  `dtm` varchar(64) default NULL,
  `poster` varchar(128) default NULL,
  `email` varchar(64) NOT NULL default '',
  `signature` text,
  `newsgroup` varchar(128) default NULL,
  `subject` varchar(255) default NULL,
  `refs` text,
  `body` text,
  `threadid` int(10) unsigned NOT NULL default '0',
  `postid` int(10) unsigned NOT NULL default '0',
  `msgid` varchar(128) default NULL,
  `inreplyto` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `phpbb_usenet_ref`
#

DROP TABLE IF EXISTS `phpbb_usenet_ref`;
CREATE TABLE `phpbb_usenet_ref` (
  `msgid` varchar(128) NOT NULL default '',
  `ref` varchar(128) NOT NULL default '',
  `cnt` tinyint(3) unsigned NOT NULL default '0',
  `dtm` int(11) NOT NULL default '0',
  PRIMARY KEY  (`msgid`,`ref`),
  KEY `ref` (`ref`)
) TYPE=MyISAM;

#
# Table structure for table `phpbb_posts_images`
#

DROP TABLE IF EXISTS `phpbb_posts_images`;
CREATE TABLE `phpbb_posts_images` (
   `post_id` int(10) NOT NULL default '0',
   `post_image` mediumblob,
   `filename` varchar(255) default NULL,
   `post_image_index` int(5) default '1',
   UNIQUE KEY `post_id` (`post_id`,`post_image_index`)
) TYPE=MyISAM;

ALTER TABLE phpbb_posts ADD msgid VARCHAR (128) not null;
ALTER TABLE phpbb_posts ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD nntpfrom VARCHAR (128);
ALTER TABLE phpbb_posts ADD ord TINYINT(3) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD inreplyto INT(10) UNSIGNED DEFAULT 0 not null;

ALTER TABLE phpbb_topics ADD msgid VARCHAR (128) not null;
ALTER TABLE phpbb_topics ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_topics ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE phpbb_topics ADD regpost TINYINT(1) UNSIGNED DEFAULT 1 not null;

ALTER TABLE phpbb_forums ADD usenet_lastpost int(11);
ALTER TABLE phpbb_forums ADD lastactivethread VARCHAR (255);
ALTER TABLE phpbb_forums ADD lastactiveiconid SMALLINT DEFAULT 1 not null;

ALTER TABLE phpbb_posts ADD INDEX(msgid);
ALTER TABLE phpbb_posts ADD INDEX(ord_key);
ALTER TABLE phpbb_posts ADD INDEX(isusenetpost);

ALTER TABLE phpbb_topics ADD INDEX(msgid);
ALTER TABLE phpbb_topics ADD INDEX(isusenetpost);
ALTER TABLE phpbb_topics ADD INDEX(regpost);
