# $Id: vB_sql_changes.sql,v 20010820 2001-08-20 23:56:21-05 paul Exp $

# MAKE SURE NONE OF THESE SQL STATEMENTS FAIL

# add new tables
DROP TABLE IF EXISTS usenet_article;
CREATE TABLE usenet_article (
   newsgroup varchar(64) NOT NULL,
   forum varchar(128) DEFAULT '0' NOT NULL,
   msgid varchar(128) NOT NULL,
   dtm int(11) DEFAULT '0' NOT NULL,
   subject varchar(255),
   poster varchar(128),
   email varchar(128),
   nntpposter varchar(255),
   refs text,
   body text,
   msgnum bigint(20) DEFAULT '0' NOT NULL,
   ord tinyint(3) unsigned DEFAULT '0' NOT NULL,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   manual tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid,forum),
   KEY forum (forum, dtm)
);

DROP TABLE IF EXISTS usenet_article_loader;
CREATE TABLE usenet_article_loader (
   newsgroup varchar(64) NOT NULL,
   forum varchar(128) NOT NULL,
   msgid varchar(128) NOT NULL,
   dtm int(11),
   subject varchar(255),
   poster varchar(128),
   email varchar(128),
   nntpposter varchar(128),
   refs text,
   body text NOT NULL,
   msgnum int(11) DEFAULT '0' NOT NULL,
   ord tinyint(3) unsigned DEFAULT '0' NOT NULL,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid),
   KEY ord (ord)
);

DROP TABLE IF EXISTS usenet_outgoing;
CREATE TABLE usenet_outgoing (
   poster varchar(128),
   email varchar(64),
   signature text,
   newsgroup varchar(128),
   subject varchar(255),
   refs text,
   body text,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   inreplyto int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (postid)
);

DROP TABLE IF EXISTS usenet_outgoing_log;
CREATE TABLE usenet_outgoing_log (
   dtm varchar(64),
   poster varchar(128),
   email varchar(64) NOT NULL,
   signature text,
   newsgroup varchar(128),
   subject varchar(255),
   refs text,
   body text,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   msgid varchar(128),
   inreplyto int(10) unsigned DEFAULT '0' NOT NULL
);

DROP TABLE IF EXISTS usenet_ref;
CREATE TABLE usenet_ref (
   msgid varchar(128) NOT NULL,
   ref varchar(128) NOT NULL,
   cnt tinyint(3) unsigned DEFAULT '0' NOT NULL,
   dtm int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid, ref),
   KEY ref (ref)
);

DROP TABLE IF EXISTS phpbb_posts_images;
CREATE TABLE phpbb_posts_images (
  post_id int(10) NOT NULL default '0',
  post_image mediumblob,
  filename varchar(255) default NULL,
  post_image_index int(5) default '1',
  UNIQUE KEY post_id (post_id,post_image_index)
);

ALTER TABLE phpbb_posts ADD msgid VARCHAR (128) not null;
ALTER TABLE phpbb_posts ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD nntpfrom VARCHAR (128);
ALTER TABLE phpbb_posts ADD ord TINYINT(3) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE phpbb_posts ADD inreplyto INT(10) UNSIGNED DEFAULT 0 not null;

ALTER TABLE phpbb_topics ADD msgid VARCHAR (128) not null;
ALTER TABLE phpbb_topics ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE phpbb_topics ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE phpbb_topics ADD regpost TINYINT(1) UNSIGNED DEFAULT 1 not null;

ALTER TABLE phpbb_forums ADD COLUMN usenet_lastpost int(11);
ALTER TABLE phpbb_forums ADD lastactivethread VARCHAR (255);
ALTER TABLE phpbb_forums ADD lastactiveiconid SMALLINT DEFAULT 1 not null;

ALTER TABLE phpbb_posts ADD INDEX(msgid);
ALTER TABLE phpbb_posts ADD INDEX(ord);
ALTER TABLE phpbb_posts ADD INDEX(isusenetpost);

ALTER TABLE phpbb_topics ADD INDEX(msgid);
ALTER TABLE phpbb_topics ADD INDEX(isusenetpost);
ALTER TABLE phpbb_topics ADD INDEX(regpost);

