# $Id: vB_sql_changes.sql,v 20010820 2001-08-20 23:56:21-05 paul Exp $

# MAKE SURE NONE OF THESE SQL STATEMENTS FAIL

# alter existing vB tables

CREATE TABLE usenet_article (
   newsgroup varchar(64) NOT NULL,
   forum varchar(128) DEFAULT '0' NOT NULL,
   msgid varchar(128) NOT NULL,
   dtm int(11) DEFAULT '0' NOT NULL,
   subject varchar(255),
   poster varchar(128),
   email varchar(128),
   nntpposter varchar(255),
   refs text,
   body text,
   msgnum bigint(20) DEFAULT '0' NOT NULL,
   ord tinyint(3) unsigned DEFAULT '0' NOT NULL,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   manual tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid,forum),
   KEY forum (forum, dtm)
);

CREATE TABLE usenet_article_loader (
   newsgroup varchar(64) NOT NULL,
   forum varchar(128) NOT NULL,
   msgid varchar(128) NOT NULL,
   dtm int(11),
   subject varchar(255),
   poster varchar(128),
   email varchar(128),
   nntpposter varchar(128),
   refs text,
   body text NOT NULL,
   msgnum int(11) DEFAULT '0' NOT NULL,
   ord tinyint(3) unsigned DEFAULT '0' NOT NULL,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid),
   KEY ord (ord)
);

CREATE TABLE usenet_group (
   newsgroup varchar(200) NOT NULL,
   forum int(10) unsigned DEFAULT '0' NOT NULL,
   lastmsg int(10) unsigned DEFAULT '0' NOT NULL,
   server varchar(64),
   username varchar(32),
   password varchar(32),
   enabled tinyint(1) unsigned DEFAULT '1' NOT NULL,
   footer text,
   PRIMARY KEY (newsgroup),
   KEY forum (forum)
);

CREATE TABLE usenet_outgoing (
   poster varchar(128),
   email varchar(64),
   signature text,
   newsgroup varchar(128),
   subject varchar(255),
   refs text,
   body text,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   inreplyto int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (postid)
);

CREATE TABLE usenet_outgoing_log (
   dtm varchar(64),
   poster varchar(128),
   email varchar(64) NOT NULL,
   signature text,
   newsgroup varchar(128),
   subject varchar(255),
   refs text,
   body text,
   threadid int(10) unsigned DEFAULT '0' NOT NULL,
   postid int(10) unsigned DEFAULT '0' NOT NULL,
   msgid varchar(128),
   inreplyto int(10) unsigned DEFAULT '0' NOT NULL
);

CREATE TABLE usenet_ref (
   msgid varchar(128) NOT NULL,
   ref varchar(128) NOT NULL,
   cnt tinyint(3) unsigned DEFAULT '0' NOT NULL,
   dtm int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (msgid, ref),
   KEY ref (ref)
);

CREATE TABLE usenet_replace (
   id int(10) unsigned NOT NULL auto_increment,
   linemode tinyint(1) unsigned DEFAULT '0' NOT NULL,
   original varchar(255) NOT NULL,
   new varchar(255),
   regex tinyint(1) unsigned DEFAULT '0' NOT NULL,
   switched tinyint(1) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE original (original)
);


CREATE TABLE usenet_setting (
   settingid smallint(6) unsigned NOT NULL auto_increment,
   title varchar(255),
   varname varchar(100) NOT NULL,
   value varchar(128),
   description mediumtext,
   optioncode mediumtext,
   settinggroupid tinyint(4) unsigned DEFAULT '0' NOT NULL,
   displayorder tinyint(3) unsigned DEFAULT '0' NOT NULL,
   cached tinyint(3) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (settingid)
);

CREATE TABLE usenet_settinggroup (
   settinggroupid smallint(5) unsigned NOT NULL auto_increment,
   title char(100) NOT NULL,
   displayorder tinyint(3) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (settinggroupid)
);

CREATE TABLE usenet_spam_filter (
   id int(10) unsigned NOT NULL auto_increment,
   scope varchar(8) DEFAULT 'all' NOT NULL,
   expression varchar(255) NOT NULL,
   regex tinyint(1) unsigned DEFAULT '0' NOT NULL,
   switched tinyint(1) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE expression (expression)
);


ALTER TABLE post ADD msgid VARCHAR (128) not null;
ALTER TABLE post ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE post ADD nntpfrom VARCHAR (128);
ALTER TABLE post ADD ord TINYINT(3) UNSIGNED DEFAULT 0 not null;
ALTER TABLE post ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE post ADD inreplyto INT(10) UNSIGNED DEFAULT 0 not null;

ALTER TABLE thread ADD msgid VARCHAR (128) not null;
ALTER TABLE thread ADD nntpdateline INT(10) UNSIGNED DEFAULT 0 not null;
ALTER TABLE thread ADD isusenetpost TINYINT(2) DEFAULT 0 not null;
ALTER TABLE thread ADD regpost TINYINT(1) UNSIGNED DEFAULT 1 not null;


ALTER TABLE post ADD INDEX(msgid);
ALTER TABLE post ADD INDEX(ord);
ALTER TABLE post ADD INDEX(isusenetpost);

ALTER TABLE thread ADD INDEX(msgid);
ALTER TABLE thread ADD INDEX(isusenetpost);
ALTER TABLE thread ADD INDEX(regpost);

ALTER TABLE forum ADD lastactivethread VARCHAR (255);
ALTER TABLE forum ADD lastactiveiconid SMALLINT DEFAULT 1 not null;
